DS_SET_DATA_RANGE(3)

EXPERIMENTAL_FUNC
ds_set_data_range - Set the data range for a data element in a packet.

SYNOPSIS
#include <karma_ds.h>

flag ds_set_data_range

(CONST char *elem_name, packet_desc *pack_desc, char **packet, double minimum, double maximum)

DESCRIPTION
Set the data range for a data element in a packet.

elem_name
    The name of the element.

pack_desc
    The packet descriptor.

packet
    The packet.

minimum
    The minimum value. The name of the minimum value is constructed by appending "__MINIMUM" to the element name. If appropriate, the FITS-style "DATAMIN" keyword is written instead.

maximum
    The maximum value. The name of the maximum value is constructed by appending "__MAXIMUM" to the element name. If appropriate, the FITS-style "DATAMAX" keyword is written instead.

RETURN VALUE
TRUE if the range information is different from what was already attached to the array, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/